nova-compute does not install cleanly on bionic

Bug #1799169 reported by Mike Joseph on 2018-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nova (Ubuntu)
Undecided
Unassigned

Bug Description

Description: Ubuntu 18.04 LTS
Release: 18.04

ii nova-compute 2:17.0.1-0ubuntu1 all OpenStack Compute - compute node base

On a fresh install of bionic (18.04LTS), running `apt install nova-compute` and accepting default dependency resolution results in required package nova-compute-libvirt failing to configure correctly:

Setting up nova-compute-libvirt (2:17.0.1-0ubuntu1) ...
adduser: The user `nova' does not exist.
dpkg: error processing package nova-compute-libvirt (--configure):
 installed nova-compute-libvirt package post-installation script subprocess returned error exit status 1
Setting up nova-common (2:17.0.1-0ubuntu1) ...
dpkg: dependency problems prevent configuration of nova-compute-kvm:
 nova-compute-kvm depends on nova-compute-libvirt (= 2:17.0.1-0ubuntu1); however:
  Package nova-compute-libvirt is not configured yet.

dpkg: error processing package nova-compute-kvm (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nova-compute:
 nova-compute depends on nova-compute-kvm | nova-compute-hypervisor; however:
  Package nova-compute-kvm is not configured yet.
  Package nova-compute-hypervisor is not installed.
  Package nova-compute-kvm which provides nova-compute-hypervisor is not configured yet.

dpkg: error processing package nova-compute (--configure):
 dependency problems - leaving unconfigured
Processing triggers for ureadahead (0.100.0-20) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for systemd (237-3ubuntu10) ...
Processing triggers for dbus (1.12.2-1ubuntu1) ...
Errors were encountered while processing:
 nova-compute-libvirt
 nova-compute-kvm
 nova-compute
E: Sub-process /usr/bin/dpkg returned an error code (1)

Repeating the `apt install nova-compute` command allows the configuration to proceed.

Corey Bryant (corey.bryant) wrote :

Hi Mike,

Thanks for reporting this and making Ubuntu better. I think you are hitting https://bugs.launchpad.net/nova/+bug/1761140. Please can you run 'apt update' prior to installing? Please feel free to move this bug back to New if you are still hitting this with a new version of the package. Note: bionic-updates currently has nova 2:17.0.5-0ubuntu2

Thanks,
Corey

Corey Bryant (corey.bryant) wrote :

Mike, Please just comment here if you are still hitting this issue. I don't think you can change the big status now that it's a duplicate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers